bridge.account_notifications
Purpose
账户通知(account notification)。
type 的支持取值:
new_community- 创建了新的社区(community)set_role- 版主/管理员为账户添加角色set_props- 为社区设置了属性set_label- 为账户设置了头衔/徽章/标签(label)mute_post- 一篇帖子(post)被静音,并附带原因unmute_post- 一篇帖子被解除静音,并附带原因pin_post- 一篇帖子被置顶unpin_post- 一篇帖子被取消置顶flag_post- 一篇帖子被成员标记(flag),并附带原因error- 就无法解读的操作向开发者提供反馈subscribe- 一个账户订阅了社区reply- 一篇帖子收到了回复reblog- 一篇帖子被转帖(reblog/resteem)follow- 一个账户关注了另一个账户mention- 作者提到了某个账户vote- 投票者为作者投了一票
score 值基于发起账户的排名。
Parameters
PARAMETERS
json
{
"account": "alice",
"limit": 100
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "bridge.account_notifications",
"params": {
"account": "alice",
"limit": 100
},
"id": 1
}'Response
RESPONSE
json
[
{
"id": 3629306,
"type": "vote",
"score": 25,
"date": "2019-11-20T07:48:06",
"msg": "@bob voted on your post ($0.013)",
"url": "@alice/a-post-by-alice"
}
]